/* This is a global stylesheet to be employed in the IBEAM presentation layer. Application/ Module/Page level presentation may expand and/or override style aspects on an as-needed basis.  Because of it's global scope, the styles defined here should remain as generic as possible; application/module/page specific styles SHOULD NOT appear in this file! */


* {font-family:sans-serif; font-size:9pt;}

body{margin-top:5px; background-color:#D1D1D1; width:100%;}
/* #D1D1D1 is NOT a WEB-safe color; web-safe = paired multiples of three such as #CCFF33, also written as #CF3 */

frame{padding:0px; margin:0px; border-style:none; border-width:0px;}

hr{background-color:#000; color:#000; border-style:none; border-width:0px; height:1px;}

caption{}

fieldset{margin:0px; padding:2px; border-style:inset; border-width:1px;}

/* Input fields */
input.required{}
input.missingRequired{}
input.invalidData{}
input.noEdit{background-color:transparent;}
/* end input fields */

/* Buttons */
/* Backwards compatible for IE */
input.borderedButton{border:3px outset #CCC; background-color:#EEE;}
input.button{background-color:#EEE;}
input.disabledButton{border:3px inset #CCC; background-color:#CCC;}
/* End IE */

/* From spec, does not work in IE, we'll comment out for now */
/*
input[type="button"].borderedButton{border:3px outset #CCC; background-color:#EEE;}
input[type="button"]{background-color:#EEE;}
input[type="button"].disabledButton{border:3px inset #CCC; background-color:#CCC;}
*/
/* End spec */
/* end buttons */

select.required{}
select.missingRequired{}
select.invalidData{}
select.noEdit{background-color:#CCC;}

textarea.required{}
textarea.missingRequired{}
textarea.invalidData{}
textarea.noEdit{background-color:transparent;}

/*
label.required:before{content:"* ";} // CSS2, not yet supported in IE but is in NN7
label:after{content:": ";} // CSS2, not yet supported in IE but is in NN7
*/

label.required{color:#C00;}
label.hidden{display:none;} /* might be useful for multi-field controls like phone number */

.container{padding:5px; margin:2px; border-style:none; border-width:0px;}

.borderedContainer{border:3px groove #CCC; padding:5px; margin:2px;}

/* Used to contain and display buttons at bottom of screen. Should NOT be used YET in lieu of table because only works in IE, not with NN 7.1 which is more indicative of W3C CSS specifications. */
div.buttonContainer {width:100%; }
span.rightButtons {width:86%; text-align:right; }
span.leftButtons {width:14%; text-align:left; vertical-align:top;}
/* End button containers */

.monospacen{font-family:monospace;}
